# Initial spec file created by autospec ver. 0.8 with rpm 3 compatibility
Summary: networked mobile objects programation software

Summary(fr): Plateforme de programmation d'objets mobiles en réseau.
Name: mobinet

Version: 1.1.99
Release: fc6

Group: Applications/Engineering
#Group(fr): (tredhatranslated group goes here)

License: GPL

Source: mobinet.tar.gz
#NoSource: 0

BuildRoot: %{_tmppath}/%{name}-root

# dependencies list
Requires: libjpeg
Requires: antlr >= 2.7.2
Requires: SDL >= 1.2
Requires: SDL_net >= 1.2
Requires: libxml2
Requires: libQGLViewer >= 2.2.5

# Following are optional fields
URL: http://www-evasion.imag.fr/mobinet/
#Distribution: Red Hat Contrib-Net
#Patch: mobinet-%{version}.patch
#Prefix: /usr/local
#BuildArch: noarch
#Obsoletes: 
#BuildRequires: 

%description
mobinet version 1.1.99 : MobiNet is an educative software to learn the basics of graphic programmation using mathematics and physics. 

%description -l fr
mobinet version 1.1.99 : MobiNet est un logiciel permettant de programmer le comportement de mobiles animés à l'aide d'une interface et d'un langage intuitifs.

%prep
%setup -c 'mobinet_%{version}'
#%patch

%build
cd usr/src/mobinet
#qmake mobinet.pro
make
cd ../../..
pwd
mv usr/src/mobinet/bin/linux/mobinet usr/bin/

%install
rm -rf %buildroot
rm -rf usr/src
%__cp -a . "${RPM_BUILD_ROOT-/}"


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
### /usr/share/mobinet/data/*.ppm
### /usr/share/mobinet/mobiles/exemples/*.session
### /usr/share/mobinet/mobiles/exemples/*.mobile
### /usr/share/mobinet/presets/*.presets
### %doc /usr/share/doc/mobinet/*.pdf
### %readme /usr/share/doc/mobinet/README

/usr/share/mobinet/data/saturn.gif.ppm
/usr/share/mobinet/data/fleche.mask.ppm
/usr/share/mobinet/data/mercury.mask.ppm
/usr/share/mobinet/data/sun.mask0.ppm
/usr/share/mobinet/data/perdu.ppm
/usr/share/mobinet/data/uranus.ppm
/usr/share/mobinet/data/saturn.ppm
/usr/share/mobinet/data/pluton.mask.ppm
/usr/share/mobinet/data/star.ppm
/usr/share/mobinet/data/moon.ppm
/usr/share/mobinet/data/saturn.mask.ppm
/usr/share/mobinet/data/sun.ppm
/usr/share/mobinet/data/earth.ppm
/usr/share/mobinet/data/moon.mask.ppm
/usr/share/mobinet/data/venus.ppm
/usr/share/mobinet/data/asteroid2.ppm
/usr/share/mobinet/data/venus.mask.ppm
/usr/share/mobinet/data/raquette.ppm
/usr/share/mobinet/data/but.ppm
/usr/share/mobinet/data/digit9.ppm
/usr/share/mobinet/data/digit8.ppm
/usr/share/mobinet/data/digit7.ppm
/usr/share/mobinet/data/digit6.ppm
/usr/share/mobinet/data/asteroid2.mask.ppm
/usr/share/mobinet/data/digit5.ppm
/usr/share/mobinet/data/raquette.mask.ppm
/usr/share/mobinet/data/digit4.ppm
/usr/share/mobinet/data/but.mask.ppm
/usr/share/mobinet/data/main.ppm
/usr/share/mobinet/data/digit3.ppm
/usr/share/mobinet/data/digit2.ppm
/usr/share/mobinet/data/jupiter.ppm
/usr/share/mobinet/data/pluton.ppm
/usr/share/mobinet/data/digit1.ppm
/usr/share/mobinet/data/gagne.ppm
/usr/share/mobinet/data/digit0.ppm
/usr/share/mobinet/data/neptune.ppm
/usr/share/mobinet/data/cible.ppm
/usr/share/mobinet/data/jupiter.mask.ppm
/usr/share/mobinet/data/asteroid.ppm
/usr/share/mobinet/data/neptune.mask.ppm
/usr/share/mobinet/data/cible.mask.ppm
/usr/share/mobinet/data/uranus.mask.ppm
/usr/share/mobinet/data/asteroid.mask.ppm
/usr/share/mobinet/data/mars.ppm
/usr/share/mobinet/data/sun.mask.ppm
/usr/share/mobinet/data/earth.mask.ppm
/usr/share/mobinet/data/mars.mask.ppm
/usr/share/mobinet/data/raquette_noa.ppm
/usr/share/mobinet/data/but_noa.ppm
/usr/share/mobinet/data/fleche.ppm
/usr/share/mobinet/data/mercury.ppm
/usr/share/mobinet/mobiles/exemples/glue.session
/usr/share/mobinet/mobiles/exemples/chronophoto.mobile
/usr/share/mobinet/mobiles/exemples/clavier.session
/usr/share/mobinet/mobiles/exemples/dessin.session
/usr/share/mobinet/mobiles/exemples/geometrie.session
/usr/share/mobinet/mobiles/exemples/life.session
/usr/share/mobinet/mobiles/exemples/aiguille.mobile
/usr/share/mobinet/mobiles/exemples/automate_cell.session
/usr/share/mobinet/mobiles/exemples/life12x12.session
/usr/share/mobinet/mobiles/exemples/chasseur.session
/usr/share/mobinet/mobiles/exemples/pulse.mobile
/usr/share/mobinet/mobiles/exemples/graphe.session
/usr/share/mobinet/mobiles/exemples/chenillard.session
/usr/share/mobinet/mobiles/exemples/vehicule.session
/usr/share/mobinet/mobiles/exemples/vaisseau.mobile
/usr/share/mobinet/mobiles/exemples/life.mobile
/usr/share/mobinet/mobiles/exemples/system_solaire.session
/usr/share/mobinet/mobiles/exemples/baracuda.session
/usr/share/mobinet/mobiles/exemples/automate_cell3.session
/usr/share/mobinet/mobiles/exemples/automate_cell2.session
/usr/share/mobinet/mobiles/exemples/chasseur2.session
/usr/share/mobinet/mobiles/exemples/chocs.session
/usr/share/mobinet/mobiles/exemples/horloge.session
/usr/share/mobinet/mobiles/exemples/tir.session
/usr/share/mobinet/mobiles/exemples/telecran.session
/usr/share/mobinet/mobiles/physique/system_solaire2.session
/usr/share/mobinet/mobiles/physique/ressort.session
/usr/share/mobinet/mobiles/physique/couleurs.session
/usr/share/mobinet/mobiles/bio/neurone.session
/usr/share/mobinet/mobiles/bio/muscle.session
/usr/share/mobinet/mobiles/bio/influx.session
/usr/share/mobinet/mobiles/jeux/asteroid2.session
/usr/share/mobinet/mobiles/jeux/bomberman_joueur.session
/usr/share/mobinet/mobiles/jeux/casse_brique2.session
/usr/share/mobinet/mobiles/jeux/pong_rouges.session
/usr/share/mobinet/mobiles/jeux/course_vehicule.session
/usr/share/mobinet/mobiles/jeux/foot_joueur.mobile
/usr/share/mobinet/mobiles/jeux/tennis_trainer.session
/usr/share/mobinet/mobiles/jeux/asteroid.session
/usr/share/mobinet/mobiles/jeux/billard.session
/usr/share/mobinet/mobiles/jeux/foot.session
/usr/share/mobinet/mobiles/jeux/casse_brique.session
/usr/share/mobinet/mobiles/jeux/bomberman_terrain_rock.session
/usr/share/mobinet/mobiles/jeux/pong.session
/usr/share/mobinet/mobiles/jeux/course.session
/usr/share/mobinet/mobiles/jeux/asteroid3.session
/usr/share/mobinet/mobiles/jeux/pong_bleus.session
/usr/share/mobinet/mobiles/maths/maillage.session
/usr/share/mobinet/mobiles/maths/triangle_rectangle.session
/usr/share/mobinet/mobiles/maths/cercle_inscrit.session
/usr/share/mobinet/mobiles/maths/parabole.session
/usr/share/mobinet/mobiles/maths/spirographe.session
/usr/share/mobinet/mobiles/maths/gauss.session
/usr/share/mobinet/mobiles/maths/lissajoux.session
/usr/share/mobinet/mobiles/maths/cercle_circonscrit.session
/usr/share/mobinet/presets/mvt.presets
/usr/share/mobinet/presets/bord.presets
/usr/share/mobinet/presets/start.presets
/usr/share/mobinet/presets/collide.presets
%doc /usr/share/doc/mobinet/manuel.pdf
%doc /usr/share/doc/mobinet/intro.pdf
%doc /usr/share/doc/mobinet/interface.pdf
%doc /usr/share/doc/mobinet/grammaire.pdf
%doc /usr/share/doc/mobinet/exos.pdf
%doc /usr/share/doc/mobinet/exos2.pdf
%doc /usr/share/doc/mobinet/grammar.pdf
%doc /usr/share/doc/mobinet/interface.en.pdf
%doc /usr/share/doc/mobinet/interface.fr.pdf
%doc /usr/share/doc/mobinet/intro.en.pdf
%doc /usr/share/doc/mobinet/intro.fr.pdf
%doc /usr/share/doc/mobinet/manual.pdf
%doc /usr/share/doc/mobinet/motivation.pdf
%readme /usr/share/doc/mobinet/README
/usr/bin/mobinet



%changelog
* Mon Dec 03 2007 Michael Adam <michael.adam@inria.fr>
- modify specfile to build package v1.1.99
* Mon Jun 04 2007 Michael Adam <michael.adam@inria.fr>
- Initial spec file created by autospec ver. 0.8 with rpm 3 compatibility
- First configuration to feet to mobinet features
